> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v2/fr/modeles-texte-brut-ocr/sdk-integration/ocr-quick-start.md).

# Démarrage rapide OCR

Intégrez un modèle OCR.

## Installer la bibliothèque cliente

Installez la bibliothèque cliente Mindee pour votre langage ou framework de choix

{% tabs %}
{% tab title="Python" %}
Nécessite Python ≥ 3.10. Python ≥ 3.12 est recommandé.

Installez simplement le [package PyPI](https://pypi.org/project/mindee/) à l'aide de `pip`:

```sh
pip install -U mindee~=5.3
```

{% endtab %}

{% tab title="Node.js" %}
Nécessite Node.js ≥ 20.1. Node.js ≥ 22 est recommandé.

Installez simplement le [package NPM](https://www.npmjs.com/package/mindee):

```sh
npm install mindee@^5.10.0
```

{% endtab %}

{% tab title="PHP" %}
Nécessite PHP ≥ 8.1. PHP ≥ 8.3 est recommandé.

Installez simplement le [package Packagist](https://packagist.org/packages/mindee/mindee) à l'aide de [composer](https://getcomposer.org/):

```sh
php composer.phar require "mindee/mindee:>=3.2"
```

{% endtab %}

{% tab title="Ruby" %}
Nécessite Ruby ≥ 3.2.

Installez simplement le [gem](https://rubygems.org/gems/mindee) avec :

```shell
gem install mindee -v '~> 5.4'
```

{% endtab %}

{% tab title="Java" %}
Nécessite Java ≥ 11. Java ≥ 17 est recommandé.

ID du groupe : `com.mindee.sdk`\
ID de l'artefact : `mindee-api-java`\
Version : `5.5.0` ou plus

Il existe diverses méthodes d'installation, Maven, Gradle, etc. :

[Détails de l'installation](https://central.sonatype.com/artifact/com.mindee.sdk/mindee-api-java)
{% endtab %}

{% tab title=".NET" %}
.NET ≥ 8.0 est recommandé.

Installez simplement le [package NuGet](https://www.nuget.org/packages/Mindee) à l'aide de `dotnet add`:

```sh
dotnet add package Mindee --version 4.8
```

{% endtab %}
{% endtabs %}

Vous ne voyez pas la prise en charge de votre langage ou framework préféré ? [Faites une demande de fonctionnalité !](https://feedback.mindee.com/?b=682f69c9e2404756e7e68d1c)

## Envoyer un fichier et interroger

Utilisez la bibliothèque cliente pour envoyer le fichier à votre modèle de texte brut (OCR) et renvoyer le résultat.

{% tabs %}
{% tab title="Python" %}
Nécessite Python ≥ 3.10. Python ≥ 3.12 est recommandé.\
Nécessite le [Mindee Python SDK](https://pypi.org/project/mindee/) version **5.3.1** ou supérieure.

{% code lineNumbers="true" %}

```python
from mindee import PathInput
from mindee.v2 import (
    Client,
    OCRParameters,
    OCRResponse,
)

input_path = "/path/to/the/file.ext"
api_key = "MY_API_KEY"
model_id = "MY_MODEL_ID"

# Initialiser un nouveau client
mindee_client = Client(api_key)

# Définir les paramètres Raw OCR
model_params = OCRParameters(
    # ID du modèle, requis.
    model_id=model_id,
)

# Charger un fichier depuis le disque
input_source = PathInput(input_path)

# Envoyer pour traitement en utilisant le polling
response = mindee_client.enqueue_and_get_result(
    OCRResponse,
    input_source,
    model_params,
)

# Afficher un bref résumé des données analysées
print(response.inference)

# Accéder au résultat OCR
pages: list = response.inference.result.pages
```

{% endcode %}

Consultez également la [Résultat OCR](https://docs.mindee.com/ocr-models/sdk-integration/ocr-result) documentation.
{% endtab %}

{% tab title="Node.js" %}
Nécessite Node.js ≥ 20.1. Node.js ≥ 22 est recommandé.\
Nécessite le [SDK Node.js de Mindee](https://www.npmjs.com/package/mindee/) version **5.10.0** ou supérieure.

{% code lineNumbers="true" %}

```javascript
// ESM ou TypeScript (recommandé)
import * as mindee from "mindee";

// Si vous utilisez CommonJS :
// const mindee = require("mindee");

const apiKey = "MY_API_KEY";
const model_id = "MY_MODEL_ID";
const filePath = "/path/to/the/file.ext";

// Initialiser un nouveau client
const mindeeClient = new mindee.Client(
  { apiKey: apiKey }
);

// Définir les paramètres OCR bruts
const modelParams = {
  model_id: model_id,
};

// Charger un fichier depuis le disque
const inputSource = new mindee.PathInput({ inputPath: filePath });

// Envoyer pour traitement
const response = await mindeeClient.enqueueAndGetResult(
  mindee.product.Ocr,
  inputSource,
  modelParams,
);

// afficher un résumé sous forme de chaîne
console.log(response.inference.toString());

// Accéder aux pages du résultat OCR
const pages = response.inference.result.pages;
```

{% endcode %}

Consultez également la [Résultat OCR](https://docs.mindee.com/ocr-models/sdk-integration/ocr-result) documentation.
{% endtab %}

{% tab title="PHP" %}
Nécessite PHP ≥ 8.1. PHP ≥ 8.3 est recommandé.\
Nécessite le [Mindee PHP SDK](https://packagist.org/packages/mindee/mindee) version **3.2.0** ou supérieure.

{% code lineNumbers="true" %}

```php
<?php

use Mindee\Input\PathInput;
use Mindee\V2\Client;
use Mindee\V2\Product\Ocr\Params\OcrParameters;
use Mindee\V2\Product\Ocr\OcrResponse;

$apiKey = "MY_API_KEY";
$modelId = "MY_MODEL_ID";
$filePath = "/path/to/the/file.ext";

// Initialiser un nouveau client
$mindeeClient = new Client($apiKey);

// Définir les paramètres OCR bruts
$modelParams = new OcrParameters(
    // ID du modèle, requis.
    $modelId,
);

// Charger un fichier depuis le disque
$inputSource = new PathInput($filePath);

// Envoyer pour traitement à l'aide du polling
$response = $mindeeClient->enqueueAndGetResult(
    OcrResponse::class,
    $inputSource,
    $modelParams
);

// Afficher un résumé de la réponse
echo strval($response->inference);

// Accéder aux résultats OCR
$pages = $response->inference->result->pages;
```

{% endcode %}

Consultez également la [Résultat OCR](https://docs.mindee.com/ocr-models/sdk-integration/ocr-result) documentation.
{% endtab %}

{% tab title="Ruby" %}
Nécessite Ruby ≥ 3.2.\
Nécessite le [SDK Ruby de Mindee](https://rubygems.org/gems/mindee) version **5.4.0** ou supérieure.

{% code lineNumbers="true" %}

```ruby
require 'mindee'
require 'mindee/v2/product'

input_path = '/path/to/the/file.ext'
api_key = 'MY_API_KEY'
model_id = 'MY_MODEL_ID'

# Initialisez un nouveau client
mindee_client = Mindee::V2::Client.new(api_key: api_key)

# Définissez les paramètres OCR bruts
model_params = {
    # ID du modèle, requis.
    model_id: model_id,
}

# Chargez un fichier depuis le disque
input_source = Mindee::Input::Source::PathInputSource.new(input_path)

# Envoyez pour traitement
response = mindee_client.enqueue_and_get_result(
    Mindee::V2::Product::OCR::OCR,
    input_source,
    model_params
)

# Accédez aux pages du résultat OCR
puts response.inference.result.pages
```

{% endcode %}

Consultez également la [Résultat OCR](https://docs.mindee.com/ocr-models/sdk-integration/ocr-result) documentation.
{% endtab %}

{% tab title="Java" %}
Nécessite Java ≥ 11. Java ≥ 17 est recommandé.\
Nécessite la [Mindee Java SDK](https://central.sonatype.com/artifact/com.mindee.sdk/mindee-api-java) version **5.5.0** ou supérieure.

{% code lineNumbers="true" %}

```java
import com.mindee.input.LocalInputSource;
import com.mindee.v2.MindeeClient;
import com.mindee.v2.product.ocr.OcrResponse;
import com.mindee.v2.product.ocr.params.OcrParameters;
import java.io.IOException;

public class SimpleMindeeClientV2 {

  public static void main(String[] args)
      throws IOException, InterruptedException
  {
    String apiKey = "MY_API_KEY";
    String filePath = "/path/to/the/file.ext";
    String modelId = "MY_MODEL_ID";

    // Initialisez un nouveau client
    var mindeeClient = new MindeeClient(apiKey);

    // Définissez les paramètres OCR bruts
    var modelParams = OcrParameters
        // ID du modèle, requis.
        .builder(modelId)
        .build();

    // Chargez un fichier depuis le disque
    var inputSource = new LocalInputSource(filePath);

    // Envoyez pour traitement en utilisant le polling
    OcrResponse response = mindeeClient.enqueueAndGetResult(
        OcrResponse.class,
        inputSource,
        modelParams
    );

    // Affichez un résumé de la réponse
    System.out.println(response.getInference().toString());

    // Accédez aux pages du résultat OCR
    var pages = response.getInference().getResult().getPages();
  }
}
```

{% endcode %}

Consultez également le [Résultat OCR](https://docs.mindee.com/ocr-models/sdk-integration/ocr-result) documentation.
{% endtab %}

{% tab title=".NET" %}
.NET ≥ 8.0 est recommandé.\
Nécessite le [Mindee .NET SDK](https://www.nuget.org/packages/Mindee) version **4.8.1** ou plus.

{% code lineNumbers="true" %}

```csharp
using Mindee;
using Mindee.Input;
using Mindee.V2;
using Mindee.V2.Product.Ocr;
using Mindee.V2.Product.Ocr.Params;

string filePath = "/path/to/the/file.ext";
string apiKey = "MY_API_KEY";
string modelId = "MY_MODEL_ID";

// Créer un nouveau client
Client mindeeClient = new Client(apiKey);

// Définir les paramètres OCR bruts
var modelParams = new OcrParameters(
    modelId: modelId
);

// Charger un fichier depuis le disque
var inputSource = new LocalInputSource(filePath);

// Téléverser le fichier
var response = await mindeeClient.EnqueueAndGetResultAsync<OcrResponse>(
    inputSource, modelParams);

// Afficher un résumé de la réponse
System.Console.WriteLine(response.Inference.ToString());

// Accéder aux pages du résultat OCR
var ocrPages = response.Inference.Result.Pages;
```

{% endcode %}

Consultez également la [Résultat OCR](https://docs.mindee.com/ocr-models/sdk-integration/ocr-result) documentation.
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mindee.com/v2/fr/modeles-texte-brut-ocr/sdk-integration/ocr-quick-start.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
